%text-input
	+transition(border, box-shadow)
	background: $input-bg-color
	border: $border-width solid $border-color
	border-radius: $br
	box-shadow: none !important
	font: #{$font-size} / #{$line-height} $font-family-text !important
	line-height: $line-height
	padding: ($line-height / 2 - $border-width * 2) .5em !important
	min-height: ($line-height * 2)

	+hover
		border-color: $link-color

	&:focus
		box-shadow: 0 0 ($line-height / 4) rgba($link-color, .5)
